## org.acedb
Interface AceSet

All Known Subinterfaces:
  AceElement, AceNode, AceObject, AceValue, DateValue, FloatValue, IntValue, ModelInclude, ModelNode, ModelReference, ModelType, Reference, StringValue

All Known Implementing Classes:
  SocketResultSet, StaticAceSet

public interface AceSet

A generalized set of named objects used within the ACeDB system.

Author:
  Matthew Pocock, Thomas Down

Method Summary
`boolean` `contains(java.lang.String name)` Returns whether an object is contained under a given name.
`AceSet` `filter(java.lang.String pattern)` Retrieve a sub-set of members by a filter string.
`java.lang.String` `getName()` The name of this node - possibly null.
`AceSet` `getParent()` The logical parent of this object or null if there is no logical parent.
`java.util.Iterator` `iterator()` An iterator over every thing in this set.
`java.util.Iterator` `nameIterator()` An iterator over the names associated with each thing in the set.
`AceSet` `retrieve(java.lang.String name)` Retrieve a memeber by name.
`int` `size()` The number of items in this AceSet.
`AceURL` `toURL()` A URL that can be used to retrieve this set (assuming that the server will still be there when you try).

Method Detail

### size

    public int size()
             throws AceException

  The number of items in this AceSet.

### nameIterator

    public java.util.Iterator nameIterator()
                                    throws AceException

  An iterator over the names associated with each thing in the set. Names are Strings.

### iterator

    public java.util.Iterator iterator()
                                throws AceException

  An iterator over every thing in this set. Things are AceSet-derived objects.

### contains

    public boolean contains(java.lang.String name)
                     throws AceException

  Returns whether an object is contained under a given name.

### getName

    public java.lang.String getName()

  The name of this node - possibly null.

### getParent

    public AceSet getParent()

  The logical parent of this object or null if there is no logical parent.

### toURL

    public AceURL toURL()
                 throws AceURLException

  A URL that can be used to retrieve this set (assuming that the server will still be there when you try).
  Throws:
    AceURLException - if for any reason the URL can't be constructed

### retrieve

    public AceSet retrieve(java.lang.String name)
                    throws AceException

  Retrieve a memeber by name.

### filter

    public AceSet filter(java.lang.String pattern)
                  throws AceException

  Retrieve a sub-set of members by a filter string.